---@meta

---@class ABP_Interactable_WinchController_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field UseFrontWinch boolean
---@field Material_instance UMaterialInstanceDynamic
local ABP_Interactable_WinchController_C = {}

---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param ActorIsPickedUp boolean
function ABP_Interactable_WinchController_C:UpdateInteractableState(PlayerCharacter, ActorIsPickedUp) end
function ABP_Interactable_WinchController_C:UpdateControllerState() end
function ABP_Interactable_WinchController_C:TryNotifyServerAboutTargetWinchChanged() end
function ABP_Interactable_WinchController_C:OnRep_UseFrontWinch() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_WinchController_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param WinchIsActive boolean
---@param WinchIsPulling boolean
---@param WinchIsReleasing boolean
function ABP_Interactable_WinchController_C:ToogleWinching(WinchIsActive, WinchIsPulling, WinchIsReleasing) end
---@param ForwardWinch ABP_Winch_C
---@param BackWinch ABP_Winch_C
function ABP_Interactable_WinchController_C:Internal_GetWinchToControl(ForwardWinch, BackWinch) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_8(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_7(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_6(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_5(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_4(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_3(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_DeactivateWinch_K2Node_EnhancedInputActionEvent_2(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_DeactivateWinch_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchController_C:InpActEvt_IA_ToogleActiveWinch_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyEnd_9CF4A9DB49DA484D8F31C2B3C49EB6B9(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyBegin_9CF4A9DB49DA484D8F31C2B3C49EB6B9(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnInterrupted_9CF4A9DB49DA484D8F31C2B3C49EB6B9(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnBlendOut_9CF4A9DB49DA484D8F31C2B3C49EB6B9(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnCompleted_9CF4A9DB49DA484D8F31C2B3C49EB6B9(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyEnd_526D6A524421501E3EB06AAC2583C895(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyBegin_526D6A524421501E3EB06AAC2583C895(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnInterrupted_526D6A524421501E3EB06AAC2583C895(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnBlendOut_526D6A524421501E3EB06AAC2583C895(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnCompleted_526D6A524421501E3EB06AAC2583C895(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyEnd_C912DBAA4D2A24EAE8AC25896B340EBC(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyBegin_C912DBAA4D2A24EAE8AC25896B340EBC(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnInterrupted_C912DBAA4D2A24EAE8AC25896B340EBC(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnBlendOut_C912DBAA4D2A24EAE8AC25896B340EBC(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnCompleted_C912DBAA4D2A24EAE8AC25896B340EBC(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyEnd_C3B129D441F5891347B8FEA4FB643501(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyBegin_C3B129D441F5891347B8FEA4FB643501(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnInterrupted_C3B129D441F5891347B8FEA4FB643501(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnBlendOut_C3B129D441F5891347B8FEA4FB643501(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnCompleted_C3B129D441F5891347B8FEA4FB643501(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyEnd_C1228D394C87ECDB1C23FC9AC11D416A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnNotifyBegin_C1228D394C87ECDB1C23FC9AC11D416A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnInterrupted_C1228D394C87ECDB1C23FC9AC11D416A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnBlendOut_C1228D394C87ECDB1C23FC9AC11D416A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_WinchController_C:OnCompleted_C1228D394C87ECDB1C23FC9AC11D416A(NotifyName) end
function ABP_Interactable_WinchController_C:ReceiveBeginPlay() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_WinchController_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_WinchController_C:CallBackSecondaryFire(Player, Stop) end
---@param Stop boolean
function ABP_Interactable_WinchController_C:ReleaseAnim(Stop) end
---@param UseFrontWinch boolean
function ABP_Interactable_WinchController_C:RPC_SetWinchControllerTarget(UseFrontWinch) end
function ABP_Interactable_WinchController_C:OnUseFrontWinchUpdated() end
function ABP_Interactable_WinchController_C:FlushPrimaryFire() end
function ABP_Interactable_WinchController_C:FlushSecondaryFire() end
---@param EntryPoint int32
function ABP_Interactable_WinchController_C:ExecuteUbergraph_BP_Interactable_WinchController(EntryPoint) end


